blob: b1cdec0de1a51f42017e72787df3acaa8c89faa9 (
plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
|
Index: hibernate-script-1.93/init.d/hibernate-cleanup.sh
===================================================================
--- hibernate-script-1.93.orig/init.d/hibernate-cleanup.sh
+++ hibernate-script-1.93/init.d/hibernate-cleanup.sh
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/sbin/runscript
# This script invalidates any stale swsusp and Software Suspend 2 images. It
# searches all swap partitions on your machine, as well as Suspend2's
@@ -66,17 +66,14 @@ check_filewriter_sig() {
esac
}
-case "$1" in
-start)
- echo -n "Clearing Software Suspend 2 signatures... "
- check_swap_sig
- check_filewriter_sig
- echo "done."
- ;;
-stop|restart|force-reload)
- ;;
-*)
- echo "Usage: /etc/init.d/hibernate {start|stop|restart|force-reload}"
-esac
+depend() {
+ after localmount
+ before bootmisc
+}
-exit 0
+start() {
+ ebegin "Clearing Software Suspend 2 signatures"
+ check_swap_sig
+ check_filewriter_sig
+ eend $?
+}
|